## Apache Zeta Components Manual :: Docs For Class ezcImageConverterSettings

### ImageConversion::ezcImageConverterSettings

### Class ezcImageConverterSettings

Struct to store the settings for objects of ezcImageConverter.

This class is used as a struct for the settings of ezcImageConverter.

Source for this file: /ImageConversion/src/structs/converter_settings.php

    ezcBaseStruct
       |
       --ezcImageConverterSettings

Version: | //autogentag//

### Member Variables

public array

`$conversions = array()`
Map of automatic MIME type conversions. The converter will automatically perform the defined conversions when a transformation is applied through it and the specific MIME type is recognized.

The conversion map has the following structure:

1. array(
2. 'image/gif'=>'image/png',// Note: lower case!
3. 'image/bmp'=>'image/jpeg',
4. )

public array(ezcImageHandlerSettings) | `$handlers = array()` Array with handler settings objects. Each settings objects is consulted by the converter to figure out which image handlers to use.

### Method Summary

public ezcImageConverterSettings | `__construct( [ $handlers = array()] , [ $conversions = array()] )` Create a new instance of ezcImageConverterSettings.

### Methods

#### __construct

ezcImageConverterSettings __construct( [ $handlers = array()] , [ $conversions = array()] )

Create a new instance of ezcImageConverterSettings.

Create a new instance of ezcImageConverterSettings to be used with ezcImageConverter objects..

##### Parameters:

Name | Type | Description
--- | --- | ---
`$handlers` | array | Array of handler objects.
`$conversions` | array | Map of standard MIME type conversions.

Documentation generated by phpDocumentor 1.4.3